## xfdesktop4 4.12.3

=== debian/changelog ===
xfdesktop4 (4.12.3-4ubuntu2) bionic; urgency=medium

  * d/p/0001-Settings-Allow-directories-to-be-selected-Bug-12832.patch:
    - Refreshed
  * d/p/xubuntu_set-accountsservice-user-bg.patch:
    - Updated to support new AccountsService method of setting 
      background file

 -- Sean Davis <smd.seandavis@gmail.com>  Sat, 17 Feb 2018 09:32:46 -0500

xfdesktop4 (4.12.3-4ubuntu1) devel; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/xubuntu_improve-nautilus-interactions.patch: added,
      should prevent nautilus from taking over the desktop if xfdesktop is
      running (and vice-versa).
    - debian/patches/xubuntu_set-accountsservice-user-bg.patch: update the
      user background property of Accountsservice on backdrop change.

 -- Unit 193 <unit193@ubuntu.com>  Sat, 29 Apr 2017 14:00:17 -0400

xfdesktop4 (4.12.3-4) unstable; urgency=medium

  * debian/patches
    - 0001-Settings-Allow-directories-to-be-selected-Bug-12832 fix regression
    with Gtk 2.24.31+ which preventing directories to be selected in
    wallpapers settings.                                        closes: #849823

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 18 Feb 2017 14:24:28 +0100

xfdesktop4 (4.12.3-3) unstable; urgency=medium

  * debian/control:
    - update dbus-x11 recommends to default-dbus-session-bus |
      dbus-session-bus.                                         closes: #836031
    - update standards version to 3.9.8.
    - drop xfdesktop4-dbg package.
  * debian/rules:
    - migrate to dbgsym package.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 30 Aug 2016 22:52:48 +0200

xfdesktop4 (4.12.3-2ubuntu2) devel; urgency=medium

  * d/p/01_Allow-directories-to-be-selected.patch: Add upstream patch.
    - Desktop settings: Allow directories to be selected. This fixes a bug
      where one could only select images, and not browse directories when
      selecting the background image.

 -- Unit 193 <unit193@ubuntu.com>  Wed, 15 Feb 2017 17:44:58 -0500

xfdesktop4 (4.12.3-2ubuntu1) xenial; urgency=low

  * Merge from Debian unstable. (LP: #1524474) Remaining changes:
    - debian/patches/xubuntu_improve-nautilus-interactions.patch: added,
      should prevent nautilus from taking over the desktop if xfdesktop is
      running (and vice-versa).
    - debian/patches/xubuntu_set-accountsservice-user-bg.patch: update the
      user background property of Accountsservice on backdrop change.

 -- Jackson Doak <noskcaj@ubuntu.com>  Thu, 10 Dec 2015 06:33:09 +1100

xfdesktop4 (4.12.3-2) unstable; urgency=medium

  * debian/rules:
    - only symlink /u/s/d/xfdesktop4 to xfdesktop4-data when
    building arch-dep packages.                                 closes: #806124

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 24 Nov 2015 22:56:13 +0100

xfdesktop4 (4.12.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 19 Sep 2015 15:45:40 +0200

xfdesktop4 (4.12.3-0ubuntu1) wily; urgency=medium

  * New upstream bugfix release.

 -- Unit 193 <unit193@ubuntu.com>  Sat, 05 Sep 2015 07:11:00 -0400

xfdesktop4 (4.12.2-1ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/xubuntu_improve-nautilus-interactions.patch: added,
      should prevent nautilus from taking over the desktop if xfdesktop is
      running (and vice-versa).
    - debian/patches/xubuntu_set-accountsservice-user-bg.patch: update the
      user background property of Accountsservice on backdrop change.

 -- Sean Davis <smd.seandavis@gmail.com>  Mon, 25 May 2015 16:16:56 -0400

=== debian/control ===
Source: xfdesktop4
Section: xfce
Priority: optional
Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>, 
 Lionel Le Folgoc <mrpouit@gmail.com>
Build-Depends: debhelper (>= 9), libglib2.0-dev, libgtk2.0-dev, 
 libxfce4util-dev (>= 4.10.0), libxfce4ui-1-dev (>= 4.11.1), libwnck-dev,
 libxfconf-0-dev (>= 4.10.0), intltool, libdbus-glib-1-dev (>= 0.84),
 libthunarx-2-dev (>= 1.4.0), libexo-1-dev (>= 0.7.0), 
 libgarcon-1-0-dev (>= 0.2.0), libnotify-dev (>= 0.4.0), dpkg-dev (>= 1.16.1)
Standards-Version: 3.9.8
Homepage: http://www.xfce.org/
Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/desktop/trunk/xfdesktop4/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-xfce/desktop/trunk/xfdesktop4/

Package: xfdesktop4-data
Section: xfce
Architecture: all
Depends: ${misc:Depends}
Description: xfce desktop background, icons and root menu (common files)
 This package contains architecture-independent files for xfdesktop4.

Package: xfdesktop4
Section: xfce
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, xfdesktop4-data (= ${source:Version}),
 exo-utils
Replaces: xfdesktop4-data (<< 4.5.92)
Recommends: default-dbus-session-bus | dbus-session-bus, librsvg2-common, xdg-user-dirs, tumbler
Suggests: menu
Description: xfce desktop background, icons and root menu manager
 xfdesktop4 sets the background image, provides a right-click menu to
 launch applications and can optionally show files (including application
 launchers) or iconified windows. It includes gradient support for
 background color, saturation support for background image, real multiscreen
 and xinerama support.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,--as-needed -Wl,-O1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

override_dh_auto_configure:
	dh_auto_configure -- --enable-thunarx \
	 	--docdir=\$${prefix}/share/doc/xfdesktop4-data \
		--disable-silent-rules

override_dh_install:
	dh_install --fail-missing
	# why oh why is this necessary?
	rm -rf $(CURDIR)/debian/xfdesktop4-data/usr/share/man

override_dh_link-arch:
	rm -rf $(CURDIR)/debian/xfdesktop4/usr/share/doc/xfdesktop4
	ln -s xfdesktop4-data $(CURDIR)/debian/xfdesktop4/usr/share/doc/xfdesktop4
	dh_link

override_dh_strip:
	dh_strip --dbgsym-migration='xfdesktop4-dbg (<< 4.12.3-3~)'

%:
	dh $@ --parallel

## xfdesktop4 4.12.4

=== debian/changelog ===
xfdesktop4 (4.12.4-2) unstable; urgency=medium

  * Moved the package to git on salsa.debian.org
  * Updated the maintainer address to debian-xfce@lists.debian.org
                                                                closes: #899750
  * d/gbp.conf added, following DEP-14
  * Initial sid upstream branch.
  * New upstream version 4.12.4
  * d/control: drop libthunarx b-d for now                      closes: #908608
  * d/rules: drop useless --parallel option to dh

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 23 Sep 2018 15:02:25 +0200

xfdesktop4 (4.12.4-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream bugfix release:
    - Drop 0001-Settings-Allow-directories-to-be-selected-Bug-12832.patch
  * debian/control:
    - Update standards version to 4.1.0.
    - Bump dh version to 10.
  * Drop menu file.

  [ Yves-Alexis Perez ]
  * debian/rules:
    - override dh_autoreconf to call xdt-autogen, Since dh compat 10
    automatically calls autoreconf.
  * debian/control:
    - add build-dep on xfce4-dev-tools
  * Run wrap-and-sort.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sun, 10 Sep 2017 16:11:47 +0200

=== debian/control ===
Source: xfdesktop4
Section: xfce
Priority: optional
Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>,
           Lionel Le Folgoc <mrpouit@gmail.com>
Build-Depends: debhelper (>= 10),
               dpkg-dev (>= 1.16.1),
               intltool,
               libdbus-glib-1-dev (>= 0.84),
               libexo-1-dev (>= 0.7.0),
               libgarcon-1-0-dev (>= 0.2.0),
               libglib2.0-dev,
               libgtk2.0-dev,
               libnotify-dev (>= 0.4.0),
               libwnck-dev,
               libxfce4ui-1-dev (>= 4.11.1),
               libxfce4util-dev (>= 4.10.0),
               libxfconf-0-dev (>= 4.10.0),
               xfce4-dev-tools
Standards-Version: 4.1.0
Homepage: http://www.xfce.org/
Vcs-Git: https://salsa.debian.org/xfce-team/desktop/xfdesktop4.git
Vcs-Browser: https://salsa.debian.org/xfce-team/desktop/xfdesktop4

Package: xfdesktop4-data
Section: xfce
Architecture: all
Depends: ${misc:Depends}
Description: xfce desktop background, icons and root menu (common files)
 This package contains architecture-independent files for xfdesktop4.

Package: xfdesktop4
Section: xfce
Architecture: any
Depends: exo-utils,
         xfdesktop4-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: xfdesktop4-data (<< 4.5.92)
Recommends: default-dbus-session-bus | dbus-session-bus,
            librsvg2-common,
            tumbler,
            xdg-user-dirs
Suggests: menu
Description: xfce desktop background, icons and root menu manager
 xfdesktop4 sets the background image, provides a right-click menu to
 launch applications and can optionally show files (including application
 launchers) or iconified windows. It includes gradient support for
 background color, saturation support for background image, real multiscreen
 and xinerama support.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,--as-needed -Wl,-O1
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
+override_dh_autoreconf:
+	NOCONFIGURE=1 dh_autoreconf xdt-autogen
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-thunarx \
@@ -22,4 +25,4 @@
 	dh_strip --dbgsym-migration='xfdesktop4-dbg (<< 4.12.3-3~)'
 
 %:
-	dh $@ --parallel
+	dh $@

=== debian/watch ===
version=3
http://archive.xfce.org/src/xfce/xfdesktop/([\d\.]+)/ \
	xfdesktop-([\d\.]+)\.tar\.(?:gz|bz2)

## xfdesktop4 4.13.2

=== debian/changelog ===
xfdesktop4 (4.13.2-0ubuntu1) devel; urgency=medium

  [ Unit 193 ]
  * New upstream development release.
  * Merge from Debian experimental. Remaining changes:
    - d/p/xubuntu_set-accountsservice-user-bg.patch: update the
      user background property of Accountsservice on backdrop change.
  * Dropped changes that have been applied upstream:
    - d/p/xubuntu_improve-nautilus-interactions.patch: added,
      should prevent nautilus from taking over the desktop if xfdesktop is
      running (and vice-versa).
  * d/control: Swap libthunarx-2-dev B-D for libthunarx-3-dev.

  [ Sean Davis ]
  * d/p/xubuntu_set-accountsservice-user-bg.patch:
    - Updated to support new AccountsService method of setting
      background file

 -- Unit 193 <unit193@ubuntu.com>  Thu, 28 Jun 2018 04:08:53 -0400

xfdesktop4 (4.13.1-1) experimental; urgency=medium

  [ Yves-Alexis Perez ]
  * New upstream development release.
  * debian/patches
    - 0001-Settings-Allow-directories-to-be-selected-Bug-12832 dropped,
    included upstream.
  * debian/control:
    - replace libgtk2.0-dev build-dep by libgtk-3-dev
    - replace libxfce4ui-1-dev build-dep by libxfce4ui-2-dev
    - replace libwnck-dev build-dep by libwnck-3-dev 
    - replace libexo-1-dev build-dep by libexo-2-dev 
    - add build-dep on libgarcon-gtk3-1-dev 
    - add build-dep on libcairo2-dev 
    - drop build-dep on libdbus-glib-1-dev
    - update standards version to 4.0.0
  * Run wrap-and-sort.
  * debian/rules:
    - use dh_missing --fail-missing

  [ Unit 193 ]
  * d/control: Remove duplicated 'Section' declaration.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 01 Jul 2017 10:52:06 +0200

## xfdesktop4 4.13.3

=== debian/changelog ===
xfdesktop4 (4.13.3-0ubuntu2) devel; urgency=medium

  * debian/patches/xfce-15198.patch:
    - Upstream git patch to fix moving icons to other displays

 -- Sean Davis <smd.seandavis@gmail.com>  Mon, 25 Mar 2019 21:05:14 -0400

xfdesktop4 (4.13.3-0ubuntu1) devel; urgency=medium

  * New upstream development release.
    - Drop patch applied upstream

 -- Unit 193 <unit193@ubuntu.com>  Mon, 11 Mar 2019 20:29:11 -0400

=== debian/control ===
Source: xfdesktop4
Section: xfce
Priority: optional
Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>,
           Lionel Le Folgoc <mrpouit@gmail.com>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1),
               intltool,
               libcairo2-dev,
               libexo-2-dev (>= 0.11.0),
               libgarcon-1-dev (>= 0.2.0),
               libgarcon-gtk3-1-dev,
               libglib2.0-dev,
               libgtk-3-dev (>= 3.20),
               libnotify-dev (>= 0.4.0),
               libthunarx-3-dev,
               libwnck-3-dev (>= 3.14),
               libxfce4ui-2-dev (>= 4.13.0),
               libxfce4util-dev (>= 4.10.0),
               libxfconf-0-dev (>= 4.10.0)
Standards-Version: 4.0.0
Homepage: http://www.xfce.org/
Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/desktop/trunk/xfdesktop4/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-xfce/desktop/trunk/xfdesktop4/

Package: xfdesktop4-data
Architecture: all
Depends: ${misc:Depends}
Description: xfce desktop background, icons and root menu (common files)
 This package contains architecture-independent files for xfdesktop4.

Package: xfdesktop4
Architecture: any
Depends: exo-utils,
         xfdesktop4-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: xfdesktop4-data (<< 4.5.92)
Recommends: default-dbus-session-bus | dbus-session-bus,
            librsvg2-common,
            tumbler,
            xdg-user-dirs
Suggests: menu
Description: xfce desktop background, icons and root menu manager
 xfdesktop4 sets the background image, provides a right-click menu to
 launch applications and can optionally show files (including application
 launchers) or iconified windows. It includes gradient support for
 background color, saturation support for background image, real multiscreen
 and xinerama support.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,--as-needed -Wl,-O1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

override_dh_auto_configure:
	dh_auto_configure -- --enable-thunarx \
	 	--docdir=\$${prefix}/share/doc/xfdesktop4-data \
		--disable-silent-rules

override_dh_install:
	dh_install
	# why oh why is this necessary?
	rm -rf $(CURDIR)/debian/xfdesktop4-data/usr/share/man

override_dh_missing:
	dh_missing --fail-missing

override_dh_link-arch:
	rm -rf $(CURDIR)/debian/xfdesktop4/usr/share/doc/xfdesktop4
	ln -s xfdesktop4-data $(CURDIR)/debian/xfdesktop4/usr/share/doc/xfdesktop4
	dh_link

override_dh_strip:
	dh_strip --dbgsym-migration='xfdesktop4-dbg (<< 4.12.3-3~)'

%:
	dh $@ --parallel

## xfdesktop4 4.13.4

=== debian/changelog ===
xfdesktop4 (4.13.4-0ubuntu1) devel; urgency=medium

  * New upstream release.
    - Drop upstream patch.

 -- Unit 193 <unit193@ubuntu.com>  Sun, 19 May 2019 15:38:46 -0400

xfdesktop4 (4.13.3-1ubuntu1) devel; urgency=medium

  * Merge from Debian experimental. Remaining changes:
    - d/p/xfce-15198.patch:
      + Upstream git patch to fix moving icons to other displays

 -- Unit 193 <unit193@ubuntu.com>  Fri, 10 May 2019 19:16:27 -0400

xfdesktop4 (4.13.3-1) experimental; urgency=medium

  * New upstream version 4.13.3
  * d/control: bump gtk3 build-dep to 3.22

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 21 Mar 2019 08:17:06 +0100

xfdesktop4 (4.13.2-1) experimental; urgency=medium

  [ Yves-Alexis Perez ]
  * Moved the package to git on salsa.debian.org
  * Updated the maintainer address to debian-xfce@lists.debian.org
                                                                closes: #899750
  * d/gbp.conf added, following DEP-14

  [ Unit 193 ]
  * New upstream development release.
  * d/compat, d/control: Bump dh compat to 11.
  * d/control, d/copyright, d/watch, d/xfdesktop-settings.1:
    - Use https where possible.
  * d/control:
    - Update build-depend: libthunarx-2-dev → libthunarx-3-dev.
    - Bump libxfce4util-dev requirement to 4.13.0.
    - Drop versioned build-depend on dpkg-dev.
    - Drop xfdesktop4's suggests on menu.
    - Fix Xfce capitalization in description.
  * d/copyright: Update based on sources.
  * d/rules: Drop --parallel and --disable-silent-rules, dh defaults now.
  * Remove trailing whitespace in debian/ files.
  * Update Standards-Version to 4.1.4.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 09 Jul 2018 21:50:31 +0200

## xfdesktop4 4.13.5

=== debian/changelog ===
xfdesktop4 (4.13.5-0ubuntu1) devel; urgency=medium

  * New upstream release.

 -- Sean Davis <smd.seandavis@gmail.com>  Tue, 02 Jul 2019 20:22:38 -0400

## xfdesktop4 4.13.6

=== debian/changelog ===
xfdesktop4 (4.13.6-0ubuntu1) devel; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@ubuntu.com>  Sun, 28 Jul 2019 22:51:34 -0400

=== debian/control ===
Source: xfdesktop4
Section: xfce
Priority: optional
Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>,
           Lionel Le Folgoc <mrpouit@gmail.com>
Build-Depends: debhelper (>= 11),
               intltool,
               libcairo2-dev,
               libexo-2-dev (>= 0.11.0),
               libgarcon-1-dev (>= 0.2.0),
               libgarcon-gtk3-1-dev,
               libglib2.0-dev,
               libgtk-3-dev (>= 3.22),
               libnotify-dev (>= 0.4.0),
               libthunarx-3-dev,
               libwnck-3-dev (>= 3.14),
               libxfce4ui-2-dev (>= 4.13.0),
               libxfce4util-dev (>= 4.13.0),
               libxfconf-0-dev (>= 4.10.0),
               xfce4-dev-tools
Standards-Version: 4.3.0
Homepage: https://www.xfce.org/
Vcs-Git: https://salsa.debian.org/xfce-team/desktop/xfdesktop4.git
Vcs-Browser: https://salsa.debian.org/xfce-team/desktop/xfdesktop4

Package: xfdesktop4-data
Architecture: all
Depends: ${misc:Depends}
Description: Xfce desktop background, icons and root menu (common files)
 This package contains architecture-independent files for xfdesktop4.

Package: xfdesktop4
Architecture: any
Depends: exo-utils,
         xfdesktop4-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: xfdesktop4-data (<< 4.5.92)
Recommends: default-dbus-session-bus | dbus-session-bus,
            librsvg2-common,
            tumbler,
            xdg-user-dirs
Description: Xfce desktop background, icons and root menu manager
 xfdesktop4 sets the background image, provides a right-click menu to
 launch applications and can optionally show files (including application
 launchers) or iconified windows. It includes gradient support for
 background color, saturation support for background image, real multiscreen
 and xinerama support.

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,12 @@
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,--as-needed -Wl,-O1
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
+override_dh_autoreconf:
+	NOCONFIGURE=1 dh_autoreconf xdt-autogen
+
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-thunarx \
-	 	--docdir=\$${prefix}/share/doc/xfdesktop4-data \
-		--disable-silent-rules
+		--docdir=\$${prefix}/share/doc/xfdesktop4-data
 
 override_dh_install:
 	dh_install
@@ -25,4 +27,4 @@
 	dh_strip --dbgsym-migration='xfdesktop4-dbg (<< 4.12.3-3~)'
 
 %:
-	dh $@ --parallel
+	dh $@

## xfdesktop4 4.14.1

=== debian/changelog ===
xfdesktop4 (4.14.1-1~18.04) bionic; urgency=medium

  * No-change backport to bionic

 -- Unit 193 <unit193@ubuntu.com>  Fri, 11 Oct 2019 20:17:04 -0400

xfdesktop4 (4.14.1-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream version 4.13.5.
  * d/rules:
    - Drop dbgsym migration, it is complete.
    - Drop manual autoreconf.
  * d/compat, d/control:
    - Drop d/compat in favor of debhelper-compat, bump to 11.

  [ Yves-Alexis Perez ]
  * New upstream version 4.14.1
  * d/control: update standards version to 4.4.0

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 15 Aug 2019 16:27:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: xfdesktop4
 Section: xfce
 Priority: optional
-Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
            Lionel Le Folgoc <mrpouit@gmail.com>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 11),
                intltool,
                libcairo2-dev,
                libexo-2-dev (>= 0.11.0),
@@ -20,7 +19,7 @@
                libxfce4util-dev (>= 4.13.0),
                libxfconf-0-dev (>= 4.10.0),
                xfce4-dev-tools
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://www.xfce.org/
 Vcs-Git: https://salsa.debian.org/xfce-team/desktop/xfdesktop4.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/desktop/xfdesktop4

=== debian/watch ===
version=3
https://archive.xfce.org/src/xfce/xfdesktop/([\d\.]+)/ \
	xfdesktop-([\d\.]+)\.tar\.(?:gz|bz2)

## xfdesktop4 4.14.2

=== debian/changelog ===
xfdesktop4 (4.14.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Repository.
  * Fix day-of-week for changelog entry 4.0.0.final-1.
  * Update standards version to 4.4.1, no changes needed.

  [ Yves-Alexis Perez ]
  * d/watch: use uscan special strings where possible
  * New upstream version 4.14.2

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 18 Jan 2020 11:06:22 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
            Lionel Le Folgoc <mrpouit@gmail.com>
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 12),
                intltool,
                libcairo2-dev,
                libexo-2-dev (>= 0.11.0),
@@ -19,7 +19,7 @@
                libxfce4util-dev (>= 4.13.0),
                libxfconf-0-dev (>= 4.10.0),
                xfce4-dev-tools
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://www.xfce.org/
 Vcs-Git: https://salsa.debian.org/xfce-team/desktop/xfdesktop4.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/desktop/xfdesktop4

=== debian/watch ===
version=3
https://archive.xfce.org/src/xfce/xfdesktop/(\d[\d\.]+)/ \
	xfdesktop-@ANY_VERSION@@ARCHIVE_EXT@

## xfdesktop4 4.14.3

=== debian/changelog ===
xfdesktop4 (4.14.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.
  * Apply multi-arch hints.
    + xfdesktop4-data: Add Multi-Arch: foreign.

  [ Yves-Alexis Perez ]
  * d/watch: track stable 4.14 branch
  * New upstream version 4.14.3
  * d/watch: update to version 4
  * d/xfce4-popup-menu,1 removed, binary has been dropped
  * d/control: extend xfdesktop4-data long description

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 07 Nov 2020 12:49:01 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libxfce4util-dev (>= 4.13.0),
                libxfconf-0-dev (>= 4.10.0),
                xfce4-dev-tools
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://www.xfce.org/
 Vcs-Git: https://salsa.debian.org/xfce-team/desktop/xfdesktop4.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/desktop/xfdesktop4
@@ -27,7 +27,14 @@
 Package: xfdesktop4-data
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Xfce desktop background, icons and root menu (common files)
+ xfdesktop4 sets the background image, provides a right-click menu to
+ launch applications and can optionally show files (including application
+ launchers) or iconified windows. It includes gradient support for
+ background color, saturation support for background image, real multiscreen
+ and xinerama support.
+ .
  This package contains architecture-independent files for xfdesktop4.
 
 Package: xfdesktop4

=== debian/watch ===
version=4
https://archive.xfce.org/src/xfce/xfdesktop/4.14/ \
	xfdesktop-@ANY_VERSION@@ARCHIVE_EXT@

## xfdesktop4 4.16.0

=== debian/changelog ===
xfdesktop4 (4.16.0-1) unstable; urgency=medium

  * d/control: drop Lionel from uploaders, thanks!
  * New upstream version 4.16.0
  * d/control: update standards version to 4.5.1
  * d/control: update Homepage
  * d/control: version xfce4-dev-tools b-dep for 4.16
  * Upload to unstable

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 23 Dec 2020 14:37:59 +0100

xfdesktop4 (4.15.1-1) experimental; urgency=medium

  * d/watch: track all branches
  * New upstream version 4.15.1

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 07 Nov 2020 14:58:10 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: xfce
 Priority: optional
 Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
-Uploaders: Yves-Alexis Perez <corsac@debian.org>,
-           Lionel Le Folgoc <mrpouit@gmail.com>
+Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper-compat (= 12),
                intltool,
                libcairo2-dev,
@@ -18,9 +17,9 @@
                libxfce4ui-2-dev (>= 4.13.0),
                libxfce4util-dev (>= 4.13.0),
                libxfconf-0-dev (>= 4.10.0),
-               xfce4-dev-tools
-Standards-Version: 4.5.0
-Homepage: https://www.xfce.org/
+               xfce4-dev-tools (>= 4.16)
+Standards-Version: 4.5.1
+Homepage: https://docs.xfce.org/xfce/xfdesktop/start
 Vcs-Git: https://salsa.debian.org/xfce-team/desktop/xfdesktop4.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/desktop/xfdesktop4

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,6 @@
 
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,--as-needed -Wl,-O1
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-
-override_dh_autoreconf:
-	NOCONFIGURE=1 dh_autoreconf xdt-autogen
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-thunarx \
@@ -22,9 +19,5 @@
 	rm -rf $(CURDIR)/debian/xfdesktop4/usr/share/doc/xfdesktop4
 	ln -s xfdesktop4-data $(CURDIR)/debian/xfdesktop4/usr/share/doc/xfdesktop4
 	dh_link
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='xfdesktop4-dbg (<< 4.12.3-3~)'
-
 %:
 	dh $@

## xfdesktop4 4.16.1

=== debian/changelog ===
xfdesktop4 (4.16.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.16.1.
  * d/control:
    - Bump DH compat to 13.
    - R³: no.
  * d/rules: Drop --as-needed and dh_missing override, as they're now default.
  * Update Standards-Version to 4.6.1.

 -- Unit 193 <unit193@debian.org>  Tue, 23 Aug 2022 17:59:01 -0400

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,-O1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

override_dh_auto_configure:
	dh_auto_configure -- --enable-thunarx \
		--docdir=\$${prefix}/share/doc/xfdesktop4-data

override_dh_install:
	dh_install
	# why oh why is this necessary?
	rm -rf $(CURDIR)/debian/xfdesktop4-data/usr/share/man

override_dh_link-arch:
	rm -rf $(CURDIR)/debian/xfdesktop4/usr/share/doc/xfdesktop4
	ln -s xfdesktop4-data $(CURDIR)/debian/xfdesktop4/usr/share/doc/xfdesktop4
	dh_link
%:
	dh $@

## xfdesktop4 4.17.0

=== debian/changelog ===
xfdesktop4 (4.17.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.17.0.

 -- Unit 193 <unit193@debian.org>  Thu, 25 Aug 2022 23:26:26 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                intltool,
                libcairo2-dev,
                libexo-2-dev (>= 0.11.0),
@@ -18,7 +18,8 @@
                libxfce4util-dev (>= 4.13.0),
                libxfconf-0-dev (>= 4.10.0),
                xfce4-dev-tools (>= 4.16)
-Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Standards-Version: 4.6.1
 Homepage: https://docs.xfce.org/xfce/xfdesktop/start
 Vcs-Git: https://salsa.debian.org/xfce-team/desktop/xfdesktop4.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/desktop/xfdesktop4

## xfdesktop4 4.18.0

=== debian/changelog ===
xfdesktop4 (4.18.0-1~mx21) mx; urgency=medium

  * New upstream release

 -- Timothy E. Harris <maintainer@mxrepo.com>  Thu, 15 Dec 2022 10:24:38 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xfdesktop4
 Section: xfce
 Priority: optional
-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
+XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper-compat (= 13),
                intltool,

## xfdesktop4 4.18.1

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,26 @@
 Source: xfdesktop4
 Section: xfce
 Priority: optional
-Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper-compat (= 13),
                intltool,
                libcairo2-dev,
-               libexo-2-dev (>= 0.11.0),
-               libgarcon-1-dev (>= 0.2.0),
+               libexo-2-dev,
+               libgarcon-1-dev,
                libgarcon-gtk3-1-dev,
                libglib2.0-dev,
-               libgtk-3-dev (>= 3.22),
-               libnotify-dev (>= 0.4.0),
-               libthunarx-3-dev,
-               libwnck-3-dev (>= 3.14),
-               libxfce4ui-2-dev (>= 4.13.0),
-               libxfce4util-dev (>= 4.13.0),
-               libxfconf-0-dev (>= 4.10.0),
-               xfce4-dev-tools (>= 4.16)
+               libgtk-3-dev,
+               libnotify-dev,
+               libthunarx-3-dev (>= 4.17.10~),
+               libwnck-3-dev,
+               libxfce4ui-2-dev,
+               libxfce4util-dev,
+               libxfconf-0-dev,
+               xfce4-dev-tools
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://docs.xfce.org/xfce/xfdesktop/start
 Vcs-Git: https://salsa.debian.org/xfce-team/desktop/xfdesktop4.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/desktop/xfdesktop4
@@ -44,7 +44,6 @@
          xfdesktop4-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Replaces: xfdesktop4-data (<< 4.5.92)
 Recommends: default-dbus-session-bus | dbus-session-bus,
             librsvg2-common,
             tumbler,

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,-O1
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
+%:
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-thunarx \
@@ -12,9 +15,14 @@
 	# why oh why is this necessary?
 	rm -rf $(CURDIR)/debian/xfdesktop4-data/usr/share/man
 
+override_dh_installchangelogs:
+	DEB_BUILD_OPTIONS=notrimdch dh_installchangelogs NEWS
+
 override_dh_link-arch:
 	rm -rf $(CURDIR)/debian/xfdesktop4/usr/share/doc/xfdesktop4
 	ln -s xfdesktop4-data $(CURDIR)/debian/xfdesktop4/usr/share/doc/xfdesktop4
 	dh_link
-%:
-	dh $@
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## xfdesktop4 4.19.1

=== debian/changelog ===
xfdesktop4 (4.19.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.19.1.
  * d/control: Update Build-Depends for new version.
    + gettext, libgtk-layer-shell-dev, libxfce4windowing-0-dev.
    + Add 4.19 version constraint on xfce4-dev-tools.
    - intltool, libwnck-3-dev.

 -- Unit 193 <unit193@debian.org>  Thu, 24 Aug 2023 00:54:10 -0400

xfdesktop4 (4.18.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.18.1.
  * Update Standards-Version to 4.6.2.

 -- Unit 193 <unit193@debian.org>  Mon, 30 Jan 2023 04:19:21 -0500

xfdesktop4 (4.18.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.18.0.
  * d/docs, d/rules: Opt-out of trimmed changelogs, install NEWS as changelog.

 -- Unit 193 <unit193@debian.org>  Thu, 15 Dec 2022 18:22:22 -0500

xfdesktop4 (4.17.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.17.2.

 -- Unit 193 <unit193@debian.org>  Mon, 05 Dec 2022 02:57:34 -0500

xfdesktop4 (4.17.1-1) experimental; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Unit 193 ]
  * New upstream version 4.17.1.
  * d/control: Bump thunar dep to 4.17, drop remaining.

 -- Unit 193 <unit193@debian.org>  Sat, 05 Nov 2022 04:10:36 -0400

## xfdesktop4 4.19.2

=== debian/changelog ===
xfdesktop4 (4.19.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.19.2.

 -- Unit 193 <unit193@debian.org>  Mon, 18 Mar 2024 02:59:06 -0400

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: xfdesktop4
 Section: xfce
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               intltool,
+               gettext,
                libcairo2-dev,
                libexo-2-dev,
                libgarcon-1-dev,
                libgarcon-gtk3-1-dev,
                libglib2.0-dev,
                libgtk-3-dev,
+               libgtk-layer-shell-dev,
                libnotify-dev,
                libthunarx-3-dev (>= 4.17.10~),
-               libwnck-3-dev,
                libxfce4ui-2-dev,
                libxfce4util-dev,
+               libxfce4windowing-0-dev,
                libxfconf-0-dev,
-               xfce4-dev-tools
+               xfce4-dev-tools (>= 4.19)
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://docs.xfce.org/xfce/xfdesktop/start

## xfdesktop4 4.19.3

=== debian/changelog ===
xfdesktop4 (4.19.3-1ubuntu1) devel; urgency=medium

  * d/p/restore_4.18era_fallback_css.patch: Restore 4.18 era fallback CSS.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 19 Sep 2024 20:14:26 -0400

xfdesktop4 (4.19.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.19.3.
  * Update Standards-Version to 4.7.0.

 -- Unit 193 <unit193@debian.org>  Fri, 16 Aug 2024 23:52:01 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xfdesktop4
 Section: xfce
 Priority: optional
-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gettext,
@@ -20,7 +21,7 @@
                libxfconf-0-dev,
                xfce4-dev-tools (>= 4.19)
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://docs.xfce.org/xfce/xfdesktop/start
 Vcs-Git: https://salsa.debian.org/xfce-team/desktop/xfdesktop4.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/desktop/xfdesktop4

## xfdesktop4 4.19.7

=== debian/changelog ===
xfdesktop4 (4.19.7-1) experimental; urgency=medium

  * Team upload.

  [ Mateusz Łukasik ]
  * New upstream version 4.19.6.
  * d/control:
    - Bump B-D version libxfce4windowing-0-dev to 4.19.8.
    - Bump B-D version libxfconf-0-dev to 4.19.3
  * d/docs: Drop TODO file.

  [ Unit 193 ]
  * New upstream version 4.19.7.
  * d/control: Add B-D on libyaml-dev.

 -- Unit 193 <unit193@debian.org>  Mon, 02 Dec 2024 02:20:05 -0500

## xfdesktop4 4.20.0

=== debian/changelog ===
xfdesktop4 (4.20.0-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 20 Dec 2024 20:23:05 -0800

xfdesktop4 (4.20.0-1) unstable; urgency=medium

  * New upstream version 4.20.0
  * Upload to unstable

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 18 Dec 2024 21:12:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xfdesktop4
 Section: xfce
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -17,8 +17,9 @@
                libthunarx-3-dev (>= 4.17.10~),
                libxfce4ui-2-dev,
                libxfce4util-dev,
-               libxfce4windowing-0-dev,
-               libxfconf-0-dev,
+               libxfce4windowing-0-dev (>= 4.19.8),
+               libxfconf-0-dev (>= 4.19.3),
+               libyaml-dev,
                xfce4-dev-tools (>= 4.19)
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
@@ -44,8 +45,8 @@
 Depends: exo-utils,
          xfdesktop4-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: default-dbus-session-bus | dbus-session-bus,
+         ${shlibs:Depends},
+            default-dbus-session-bus | dbus-session-bus,
             librsvg2-common,
             tumbler,
             xdg-user-dirs

=== debian/rules ===
--- 
+++ 
@@ -25,4 +25,5 @@
 
 # No dbgsym packages:
 override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
 	dh_strip --no-automatic-dbgsym

## xfdesktop4 4.20.1

=== meson_options.txt ===
option(
  'desktop-menu',
  type: 'feature',
  value: 'auto',
  description: 'Desktop right-click applications menu',
)

option(
  'desktop-icons',
  type: 'boolean',
  value: true,
  description: 'Support for desktop icons',
)

option(
  'file-icons',
  type: 'boolean',
  value: true,
  description: 'Support for desktop file icons',
)

option(
  'thunarx',
  type: 'feature',
  value: 'auto',
  description: 'Support for Thunar file management extensions',
)

option(
  'notifications',
  type: 'feature',
  value: 'auto',
  description: 'Support for mount notifications',
)

option(
  'x11',
  type: 'feature',
  value: 'auto',
  description: 'Support for the X11 windowing system',
)

option(
  'wayland',
  type: 'feature',
  value: 'auto',
  description: 'Support for the Wayland windowing system',
)

option(
  'file-manager-fallback',
  type: 'string',
  value: 'Thunar',
  description: 'Fallback file manager to use if the DBus interface is not available',
)

option(
  'default-backdrop-filename',
  type: 'string',
  value: 'backgrounds/xfce/xfce-x.svg',
  description: 'The path to the default background image (relative paths will prepend $(datadir)',
)

option(
  'tests',
  type: 'boolean',
  value: true,
  description: 'Whether or not to build test programs',
)

=== debian/changelog ===
xfdesktop4 (4.20.1-1ubuntu1) plucky; urgency=medium

  * d/control, d/rules:
    - Override default wallpaper to xubuntu-wallpaper.png (LP: #2092806)

 -- Sean Davis <sean@bluesabre.org>  Wed, 19 Mar 2025 22:59:25 -0400

xfdesktop4 (4.20.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.20.1.
  * Update Standards-Version to 4.7.1.

 -- Unit 193 <unit193@debian.org>  Sun, 02 Mar 2025 20:34:59 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xfdesktop4
 Section: xfce
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -20,9 +20,10 @@
                libxfce4windowing-0-dev (>= 4.19.8),
                libxfconf-0-dev (>= 4.19.3),
                libyaml-dev,
+               xubuntu-wallpapers,
                xfce4-dev-tools (>= 4.19)
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://docs.xfce.org/xfce/xfdesktop/start
 Vcs-Git: https://salsa.debian.org/xfce-team/desktop/xfdesktop4.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/desktop/xfdesktop4
@@ -45,8 +46,8 @@
 Depends: exo-utils,
          xfdesktop4-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
-            default-dbus-session-bus | dbus-session-bus,
+         ${shlibs:Depends}
+Recommends: default-dbus-session-bus | dbus-session-bus,
             librsvg2-common,
             tumbler,
             xdg-user-dirs

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,8 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-thunarx \
-		--docdir=\$${prefix}/share/doc/xfdesktop4-data
+		--docdir=\$${prefix}/share/doc/xfdesktop4-data \
+		--with-default-backdrop-filename=/usr/share/xfce4/backdrops/xubuntu-wallpaper.png
 
 override_dh_install:
 	dh_install
@@ -22,8 +23,3 @@
 	rm -rf $(CURDIR)/debian/xfdesktop4/usr/share/doc/xfdesktop4
 	ln -s xfdesktop4-data $(CURDIR)/debian/xfdesktop4/usr/share/doc/xfdesktop4
 	dh_link
-
-# No dbgsym packages:
-override_dh_strip:
-	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
-	dh_strip --no-automatic-dbgsym
